PDA

View Full Version : [SOLVED] Installed Open Shot; Now Totem cannot play AVI files



Szdfan
December 5th, 2009, 10:44 PM
I installed and then uninstalled Open Shot. I am no longer able to play AVI files. The developer appears to be aware of the problem -- it appears the ppa installation of Open Shot removes certain required packages --
https://answers.launchpad.net/openshot/+faq/723

How do I reinstall these packages? When I try to run an AVI file in the movie player, I get the message "Internal Data Stream Error." In terminal, I get the following error message --

** Message: Error: Internal data stream error.
gstavidemux.c(4443): gst_avi_demux_loop (): /GstPlayBin2: play/GstURIDecodeBin:uridecodebin0/GstDecodeBin2:decodebin20/GstAviDemux:avidemux0:
streaming stopped, reason not-negotiated

mc4man
December 5th, 2009, 11:48 PM
see here, various ways to do the same thing
http://ubuntuforums.org/showthread.php?t=1281367

if you wish openshot after fixing things then 2 choices...
use this version instead
https://launchpad.net/~jonoomph/+archive/openshot-edge

or first build a static x264 and ffmpeg to /usr/local, then build the dev. openshot from the source in the ppa you had. (a bit of work but will remove the dep on the shared ffmpeg libs that bork vlc, totem ect.

Szdfan
December 6th, 2009, 04:11 AM
That made it work. Thanks!

Not sure if I want to try Open Shot again, but will consider it.

carolinason
January 20th, 2010, 05:12 PM
openshot total yorked my system and lost most all my audio and video software functionality i tried the fixes in the forums, but they didn't work.

AUGH!

n3had
January 20th, 2010, 05:35 PM
openshot total yorked my system and lost most all my audio and video software functionality i tried the fixes in the forums, but they didn't work.

AUGH!

I was just thinking of installing the latest version and thanks but no thanks will give it a shot when its clean btw mplayer was borked due to openshot-ffmpeg had to purge all the openshot related packages and now things are fine.